# Create Account

Create Account API allows you to create Sub-Accounts for your Partners on your Platform. Once an Account is created, you can accept and route payments through the Transfers API or Platform Fee API<br>

| Environment | Method | URL                                                                                                                                                                                                                          |
| ----------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Development | POST   | <https://devo.finnet.co.id/was-adapter/account/create>                                                                                                                                                                       |
| Production  | POST   | [https://](https://devo.finnet.co.id/was-adapter/account/create)[live.finnet.co.id](https://devo.finnet.co.id/was-adapter/account/create)[/was-adapter/account/create](https://devo.finnet.co.id/was-adapter/account/create) |

### Header Request <a href="#body-request" id="body-request"></a>

<table><thead><tr><th width="152">Name</th><th width="107">Type</th><th width="142">Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td>String</td><td>M</td><td><p>Represents Basic Authentication.</p><p>e.g. Basic dW5kZWZpbmVkOnBhc3N3b3Jk</p></td></tr><tr><td>Content-Type</td><td>String</td><td>M</td><td>Content of you request body e.g. application/json</td></tr><tr><td>accept</td><td>String</td><td>M</td><td>Mandatory header to specify the response format. Must be set to <code>application/json</code> so the server returns the response in JSON format.</td></tr></tbody></table>

### Body Request <a href="#body-request" id="body-request"></a>

<table><thead><tr><th width="78">No</th><th>Name</th><th width="96">Type</th><th width="123">Mandatory</th><th width="124">Min Length</th><th width="127">Max Length</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>email</td><td>String</td><td>M</td><td>5</td><td>552</td><td><strong>Email address to be registered as the account.</strong><br>e.g.<code>kirana@finpay.id</code></td></tr><tr><td>2</td><td>type</td><td>String</td><td>M</td><td>1</td><td>15</td><td><strong>Type of account to be created.</strong><br>e.g. <code>"OWNED"</code>`<br>Valid values: [ <code>MANAGED</code>, <code>OWNED</code>]</td></tr><tr><td>3</td><td>public_profile</td><td>Object</td><td>M</td><td></td><td></td><td>Detail of Public profile account</td></tr><tr><td>4</td><td>public_profile.business_name</td><td>String</td><td>M</td><td>1</td><td>512</td><td><strong>Business name to be displayed.</strong><br>e.g.<code>Owned Business Account</code></td></tr></tbody></table>

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
Content-type: application/json 
Authorization: Basic gp9HjjEj813Y9JGoqwOeOPWbnt4CUpvIJbU1mMU4a11MNDZ7Sg5u9a" 
accept: application/json
{
  "email": "kirana@finpay.id",
  "type": "OWNED",
  "public_profile": {
    "business_name": "Owned Business Account"
  }
}

```

### Body Response <a href="#body-response" id="body-response"></a>

<table><thead><tr><th width="74">No</th><th width="128">Name</th><th width="88">Type</th><th width="119">Mandatory</th><th width="123">Min Length</th><th width="127">Max Length</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>id</td><td>String</td><td>M</td><td>1</td><td>36</td><td>Unique identifier of the data</td></tr><tr><td>2</td><td>created</td><td>String(ISO 8601)</td><td>M</td><td>24</td><td>24</td><td>Date and time when the data was created</td></tr><tr><td>3</td><td>updated</td><td>String(ISO 8601)</td><td>M</td><td>24</td><td>24</td><td>Date and time when the data was last updated</td></tr><tr><td>4</td><td>type</td><td>String</td><td>M</td><td>5</td><td>20</td><td><strong>Type of account to be created.</strong><br>e.g. <code>OWNED</code>`<br>Valid values: [ <code>MANAGED</code>, <code>OWNED</code>]</td></tr><tr><td>5</td><td>email</td><td>Number</td><td>M</td><td>5</td><td>552</td><td><strong>Email address to be registered as the account.</strong><br>e.g.<code>kirana@finpay.id</code></td></tr><tr><td>6</td><td>public_profile</td><td>Object</td><td>M</td><td>-</td><td>-</td><td>Detail of Public profile account</td></tr><tr><td>7</td><td>public_profile.business_name</td><td>String</td><td>M</td><td>1</td><td>512</td><td><strong>Business name to be displayed.</strong><br>e.g.<code>Owned Business Account</code></td></tr><tr><td>8</td><td>country</td><td>String</td><td>M</td><td>2</td><td>2</td><td><strong>Country code</strong> (ISO 3166-1 alpha-2, e.g. <code>ID</code>)</td></tr><tr><td>9</td><td>status</td><td><a href="#sample-response-2">Enum</a></td><td>C</td><td>1</td><td>30</td><td><strong>Account registration status</strong> (example: <code>REGISTERED</code>). List of status see <a href="#sample-response-2">below</a></td></tr></tbody></table>

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
 "id": "string",
 "created": "2025-12-08T03:19:10.228Z",
 "updated": "2025-12-08T03:19:10.228Z",
 "type": "OWNED",
 "email": "test@example.co",
 "public_profile": {
  "business_name": "string"
 },
 "country": "ID",
 "status": "REGISTERED"
}
```

#### Sample Response (Negative) <a href="#sample-response" id="sample-response"></a>

```
{
 "id": "string",
 "created": "2025-12-08T03:19:10.228Z",
 "updated": "2025-12-08T03:19:10.228Z",
 "type": "OWNED",
 "email": "test@example.co",
 "public_profile": {
  "business_name": "string"
 },
 "country": "ID",
 "status": "REGISTERED"
}
```

### Create Account Status <a href="#sample-response" id="sample-response"></a>

<table><thead><tr><th width="75">No</th><th width="179">Status</th><th></th></tr></thead><tbody><tr><td>1</td><td>REGISTERED</td><td>Merchant has registered using the invited email address</td></tr><tr><td>2</td><td>AWAITING_DOCS</td><td>N/A</td></tr><tr><td>3</td><td>LIVE</td><td>Merchant is able to transact (Active)</td></tr><tr><td>4</td><td>SUSPENDED</td><td>Merchant is blocked</td></tr><tr><td>5</td><td>INVITED</td><td>Merchant has just submitted the registration</td></tr></tbody></table>

### Create Account HTTP Status Code <a href="#sample-response" id="sample-response"></a>

<table><thead><tr><th width="71">No</th><th width="169">HTTP Status Code</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>200</td><td>Success with Response Body Message</td></tr><tr><td>2</td><td>400</td><td><p>error_code: <code>API_VALIDATION_ERROR</code></p><p>error_message: Inputs are failing validation. The errors field contains details about which fields are violating validation</p></td></tr><tr><td>3</td><td>400</td><td><p>error_code: <code>INVALID_CONFIGURATION</code></p><p>error_message: The `configurations` parameter combination is invalid. Please follow the requirement of each parameter written in Request section</p></td></tr><tr><td>4</td><td>400</td><td><p>error_code: <code>TYPE_AND_CONFIGURATION_CONFLICT</code></p><p>error_message:  Please provide either one of the `type` field or the `configurations` field</p></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-wallet-as-a-service/core-api/create-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
